services:
  code-server:
    container_name: code-server
    deploy:
      resources:
        limits:
          memory: 1073741824b
    entrypoint:
    - /init
    environment:
      HOME: /config
      LANG: en_US.UTF-8
      LANGUAGE: en_US.UTF-8
      LSIO_FIRST_PARTY: 'true'
      PASSWORD: '***SENSITIVE_VALUE*** (home...)'
      PATH: /lsiopy/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
      PGID: '1000'
      PUID: '1000'
      S6_CMD_WAIT_FOR_SERVICES_MAXTIME: '0'
      S6_STAGE2_HOOK: /docker-mods
      S6_VERBOSITY: '1'
      SUDO_PASSWORD: '***SENSITIVE_VALUE*** (home...)'
      TERM: xterm
      TZ: America/New_York
      VIRTUAL_ENV: /lsiopy
    image: lscr.io/linuxserver/code-server:latest
    networks:
    - monitoring-net
    ports:
    - 8443:8443/tcp
    restart: unless-stopped
    volumes:
    - /home/jon/homelab/monitoring/code-server/config:/config:rw
    - /home/jon/homelab/monitoring/projects:/config/workspace:rw
    - /var/run/docker.sock:/var/run/docker.sock:ro
    working_dir: /
